## com.gargoylesoftware.htmlunit
Class NicelyResynchronizingAjaxController

    java.lang.Object
      com.gargoylesoftware.htmlunit.AjaxController
          com.gargoylesoftware.htmlunit.NicelyResynchronizingAjaxController

All Implemented Interfaces:
  java.io.Serializable

    public class NicelyResynchronizingAjaxController

extends AjaxController

This `AjaxController` resynchronizes calls calling from the main thread. The idea is that asynchronous AJAX calls performed directly in response to a user action (therefore in the "main" thread and not in the thread of a background task) are directly useful for the user. To easily have a testable state, these calls are performed synchronously.

Version:
  $Revision: 4802 $
Author:
  Marc Guillemot
See Also:
  Serialized Form

Constructor Summary
`NicelyResynchronizingAjaxController()` Creates an instance.

Method Summary
`boolean` `processSynchron(HtmlPage page, WebRequestSettings settings, boolean async)` Resynchronizes calls performed from the thread where this instance has been created.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NicelyResynchronizingAjaxController

    public NicelyResynchronizingAjaxController()

  Creates an instance.

Method Detail

### processSynchron

    public boolean processSynchron(HtmlPage page,
                                   WebRequestSettings settings,
                                   boolean async)

  Resynchronizes calls performed from the thread where this instance has been created. Gets notified of an AJAX call to determine how it should be processed.

  Overrides:
    `processSynchron` in class `AjaxController`
  Parameters:
    `page` - the page the request comes from
    `settings` - the request that should be performed
    `async` - indicates if the request should originally be asynchron
  Returns:
    if the call should be synchron or not; here just like the original call

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.